Remove use of devmapper library by the blkid library

The devmapper library is no longer needed given commit f4e89bcd.

Signed-off-by: "Theodore Ts'o" <tytso@mit.edu>
diff --git a/configure b/configure
index cccc441..119e09c 100755
--- a/configure
+++ b/configure
@@ -691,12 +691,6 @@
 FSCK_MAN
 E2INITRD_PROG
 E2INITRD_MAN
-PKG_CONFIG
-DEVMAPPER_REQ
-DEVMAPPER_PC_LIBS
-DEVMAPPER_LIBS
-STATIC_DEVMAPPER_LIBS
-STATIC_BLKID_DEVMAPPER_LIBS
 UUIDD_CMT
 GETTEXT_PACKAGE
 PACKAGE
@@ -788,8 +782,7 @@
 LDFLAGS
 LIBS
 CPPFLAGS
-CPP
-PKG_CONFIG'
+CPP'
 
 
 # Initialize some variables set by options.
@@ -1377,7 +1370,6 @@
   --disable-resizer   	  disable support of e2resize program
   --enable-fsck           build fsck wrapper program
   --enable-e2initrd-helper build e2initrd-helper program
-  --enable-blkid-devmapper  build with device-mapper support
   --disable-tls           disable use of thread local support
   --disable-uuidd         disable building the uuid daemon
   --disable-nls           do not use Native Language Support
@@ -1408,7 +1400,6 @@
   CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
               you have headers in a nonstandard directory <include dir>
   CPP         C preprocessor
-  PKG_CONFIG  path to pkg-config utility
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -4148,250 +4139,6 @@
 
 
 
-STATIC_BLKID_DEVMAPPER_LIBS=''
-# Check whether --enable-blkid-devmapper was given.
-if test "${enable_blkid_devmapper+set}" = set; then
-  enableval=$enable_blkid_devmapper; if test "$enableval" = "no"
-then
-	{ echo "$as_me:$LINENO: result: Disabling device-mapper support" >&5
-echo "${ECHO_T}Disabling device-mapper support" >&6; }
-	DEVMAPPER_REQ=''
-	DEVMAPPER_LIBS=''
-	STATIC_DEVMAPPER_LIBS=''
-else
-	cat >>confdefs.h <<\_ACEOF
-#define HAVE_DEVMAPPER 1
-_ACEOF
-
-	{ echo "$as_me:$LINENO: result: Enabling device-mapper support" >&5
-echo "${ECHO_T}Enabling device-mapper support" >&6; }
-
-
-
-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
-        if test -n "$ac_tool_prefix"; then
-  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
-esac
-fi
-PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-if test -n "$PKG_CONFIG"; then
-  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-echo "${ECHO_T}$PKG_CONFIG" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-
-fi
-if test -z "$ac_cv_path_PKG_CONFIG"; then
-  ac_pt_PKG_CONFIG=$PKG_CONFIG
-  # Extract the first word of "pkg-config", so it can be a program name with args.
-set dummy pkg-config; ac_word=$2
-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $ac_pt_PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  ;;
-esac
-fi
-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
-if test -n "$ac_pt_PKG_CONFIG"; then
-  { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
-else
-  { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-fi
-
-  if test "x$ac_pt_PKG_CONFIG" = x; then
-    PKG_CONFIG=""
-  else
-    case $cross_compiling:$ac_tool_warned in
-yes:)
-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet.  If you think this
-configuration is useful to you, please write to autoconf@gnu.org." >&5
-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
-whose name does not start with the host triplet.  If you think this
-configuration is useful to you, please write to autoconf@gnu.org." >&2;}
-ac_tool_warned=yes ;;
-esac
-    PKG_CONFIG=$ac_pt_PKG_CONFIG
-  fi
-else
-  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
-fi
-
-fi
-if test -n "$PKG_CONFIG"; then
-        _pkg_min_version=0.9.0
-        { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
-        if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-                { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-        else
-                { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-                PKG_CONFIG=""
-        fi
-
-fi
-
-	if test -z "$PKG_CONFIG"; then
-		{ { echo "$as_me:$LINENO: error: pkg-config not installed; please install it." >&5
-echo "$as_me: error: pkg-config not installed; please install it." >&2;}
-   { (exit 1); exit 1; }; }
-	fi
-
-	{ echo "$as_me:$LINENO: checking for dm_tree_create in -ldevmapper" >&5
-echo $ECHO_N "checking for dm_tree_create in -ldevmapper... $ECHO_C" >&6; }
-if test "${ac_cv_lib_devmapper_dm_tree_create+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-ldevmapper $DEVMAPPER_LIBS $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char dm_tree_create ();
-int
-main ()
-{
-return dm_tree_create ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_devmapper_dm_tree_create=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_devmapper_dm_tree_create=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_devmapper_dm_tree_create" >&5
-echo "${ECHO_T}$ac_cv_lib_devmapper_dm_tree_create" >&6; }
-if test $ac_cv_lib_devmapper_dm_tree_create = yes; then
-  DEVMAPPER_LIBS=`$PKG_CONFIG --libs devmapper`;
-		 STATIC_DEVMAPPER_LIBS=`$PKG_CONFIG --static --libs devmapper`;
-		 DEVMAPPER_REQ="devmapper";
-		 DEVMAPPER_PC_LIBS="-ldevmapper"
-else
-  { { echo "$as_me:$LINENO: error: device-mapper library not found" >&5
-echo "$as_me: error: device-mapper library not found" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-	# work around stupid devmapper.pc bug in Debian
-	case "$STATIC_DEVMAPPER_LIBS" in
-	*pthread*)
-	    ;;
-	*)
-	    { echo "$as_me:$LINENO: WARNING: Working around Debian bug 390243..." >&5
-echo "$as_me: WARNING: Working around Debian bug 390243..." >&2;}
-	    STATIC_DEVMAPPER_LIBS="-pthread $STATIC_DEVMAPPER_LIBS"
-	    ;;
-	esac
-	if test "$E2_PKG_CONFIG_STATIC" = "--static"; then
-	    DEVMAPPER_LIBS="$STATIC_DEVMAPPER_LIBS"
-	    STATIC_BLKID_DEVMAPPER_LIBS="$STATIC_DEVMAPPER_LIBS"
-	fi
-fi
-
-else
-  { echo "$as_me:$LINENO: result: Disabling device-mapper support by default" >&5
-echo "${ECHO_T}Disabling device-mapper support by default" >&6; }
-
-fi
-
-
-
-
-
-
 # Check whether --enable-tls was given.
 if test "${enable_tls+set}" = set; then
   enableval=$enable_tls; if test "$enableval" = "no"
@@ -16226,12 +15973,6 @@
 FSCK_MAN!$FSCK_MAN$ac_delim
 E2INITRD_PROG!$E2INITRD_PROG$ac_delim
 E2INITRD_MAN!$E2INITRD_MAN$ac_delim
-PKG_CONFIG!$PKG_CONFIG$ac_delim
-DEVMAPPER_REQ!$DEVMAPPER_REQ$ac_delim
-DEVMAPPER_PC_LIBS!$DEVMAPPER_PC_LIBS$ac_delim
-DEVMAPPER_LIBS!$DEVMAPPER_LIBS$ac_delim
-STATIC_DEVMAPPER_LIBS!$STATIC_DEVMAPPER_LIBS$ac_delim
-STATIC_BLKID_DEVMAPPER_LIBS!$STATIC_BLKID_DEVMAPPER_LIBS$ac_delim
 UUIDD_CMT!$UUIDD_CMT$ac_delim
 GETTEXT_PACKAGE!$GETTEXT_PACKAGE$ac_delim
 PACKAGE!$PACKAGE$ac_delim
@@ -16309,7 +16050,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 86; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 80; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5